#
# fishing.R, 11 Feb 20

library("jsonlite")


sort_lang=function(langs)
{
# Some values are NULL, which disappears when processed by unlist.
langs[sapply(langs, function(X) (length(X) == 0))]=NA

# t=strsplit(unlist(langs), ",")
# Order languages
s_langs=sapply(langs, function(X) paste0(sort(X), collapse=","))

return(s_langs)
}


re=fromJSON("~/T/DM.json", flatten=TRUE, simplifyDataFrame=TRUE)

re$LangsStatic=sort_lang(re$supportedLangs)
# re$LangsStatic=sort_lang(re$origLangsStatic)

re$supportedLangs=NULL
# re$origLangsStatic=NULL

write.csv(re, file="~/T/DM.csv", row.names=FALSE)

